Skip to Content
0

Upgrade of SAPUI5 version in SAP Front End Server impacts

Jan 12, 2017 at 07:14 AM

104

avatar image

Hello Experts;

We have the following situation with one of our clients:

We implemented 3 standard FIORI apps: Approve PO's, Approve PR's and Track purchase order in a central hub gateway deployment. Our Gateway version is 7.40 and the deployed components in the FES are:

FIORI ERP APPLICATIO:NS X1 1.0 UIX01EAP 100

Also, we developed a custom SAP FIORi app with SAPUI5 version 1.38, but our SAPUI5 backend version is 1.28, therefore, our app doesnt work in our gateway system.

According to note:

2200415 - Release of Fiori Product Versions for SAP UI Addon 2.0 / SAP_UI 7.50

We can deploy the SAP_UI 7.50 (wich contains SAPUI5 1.38 library version) in our SAP FES NW 7.40 and will work with our FIORI Apps.

But I just want to be sure that we can upgrade the component and that we will have not any negative impact on our already deployed apps.

What are the implications to upgrade our FES SAPUI5 version to 1.38 ?

Will our current deployed apps will still work? Do we have to update something on our back end system.?

Thank you in advance for your comments.

Best regards.

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

1 Answer

Best Answer
Cristian R. Castañeda Gonzalez Jan 31, 2017 at 09:34 PM
0

Solved. We could deploy the SAP_UI 7.50 component in our FES and everything worked great.

Share
10 |10000 characters needed characters left characters exceeded